Subject: Re: linux-next: manual merge of the m68knommu tree with the m68k tree

From: Greg Ungerer <[email-masked]>
Date: Tue, 10 May 2022 14:15:46 +1000

Hi Michael,

On 10/5/22 13:37, Michael Schmitz wrote:
> Hi Stephen,
> 
> apologies on my part - I had thought that I had copied in Greg on my patch series. And I evidently missed that his ELF patch would have clashed with mine.

You definitely did, I still have your patches in my inbox too :-)

> Geert and Greg coordinate well as a rule, and both patches had been seen on the linux-m68k mailing list (just too far apart to jog my memory).

Yeah, this was really an accident of timing between Geert applying your series
to his for-next branch, and me applying the regset changes to my for-next
branch.

The two changes are quite distinct, but they overlap in location within
ptrace.c file. The fixup patch is pretty strait forward, and Stephen has that
right.

Regards
Greg

> Won't happen again this decade (I hope).
> 
> Cheers,
> 
>      Michael
> 
> 
> Am 10.05.2022 um 11:44 schrieb Stephen Rothwell:
>> Hi all,
>>
>> Today's linux-next merge of the m68knommu tree got a conflict in:
>>
>>   arch/m68k/kernel/ptrace.c
>>
>> between commit:
>>
>>   c862fe70b023 ("m68k: Wire up syscall_trace_enter/leave for m68k")
>>
>> from the m68k tree and commit:
>>
>>   0d91043d8bdf ("m68knommu: implement minimal regset support")
>>
>> from the m68knommu tree.
>>
>> I fixed it up (see below) and can carry the fix as necessary. This
>> is now fixed as far as linux-next is concerned, but any non trivial
>> conflicts should be mentioned to your upstream maintainer when your tree
>> is submitted for merging.  You may also want to consider cooperating
>> with the maintainer of the conflicting tree to minimise any particularly
>> complex conflicts.
>>